Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion Class Reference

ConfigSuggestion is a value object holding a suggestion change for semantic configuration. More...

## Public Member Functions
| __construct ($message=null, array $suggestion=[], $mandatory=false)
| setMessage ($message)
| getMessage ()
| setSuggestion (array $suggestion)
| getSuggestion ()
| setMandatory ($mandatory)
| isMandatory ()

## Private Attributes
| $message
| $suggestion
| $mandatory

## Detailed Description

ConfigSuggestion is a value object holding a suggestion change for semantic configuration.

The suggestion can be mandatory or not.

Definition at line 13 of file ConfigSuggestion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::__construct | ( |  | $message = `null`,
|  | array | $suggestion = `[]`,
|  |  | $mandatory = `false`
| ) |  |

Definition at line 34 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$mandatory, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$message, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$suggestion.

## Member Function Documentation

## ◆ getMessage()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::getMessage | ( |  | ) |

Returns
  string

Definition at line 52 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$message.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Formatter\YamlSuggestionFormatter\format().

## ◆ getSuggestion()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::getSuggestion | ( |  | ) |

Returns
  array

Definition at line 68 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$suggestion.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Formatter\YamlSuggestionFormatter\format().

## ◆ isMandatory()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::isMandatory | ( |  | ) |

Returns
  bool

Definition at line 84 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$mandatory.

## ◆ setMandatory()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::setMandatory | ( |  | $mandatory | ) |

Parameters

  bool | $mandatory |

Definition at line 76 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$mandatory.

## ◆ setMessage()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::setMessage | ( |  | $message | ) |

Parameters

  string | $message |

Definition at line 44 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$message.

## ◆ setSuggestion()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::setSuggestion | ( | array | $suggestion | ) |

Parameters

  array | $suggestion |

Definition at line 60 of file ConfigSuggestion.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\$suggestion.

## Member Data Documentation

## ◆ $mandatory

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::$mandatory
| private

Definition at line 32 of file ConfigSuggestion.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\__construct(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\isMandatory(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\setMandatory().

## ◆ $message

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::$message
| private

Definition at line 21 of file ConfigSuggestion.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\__construct(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\getMessage(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\setMessage().

## ◆ $suggestion

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion::$suggestion
| private

Definition at line 29 of file ConfigSuggestion.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\__construct(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\getSuggestion(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion\setSuggestion().

The documentation for this class was generated from the following file:

- ConfigSuggestion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.